Deskhero Developer Hub
Back to deskhero.com
Email domains

Get one

Returns one sending domain by id with its verification status, verification date and the Users who created and last changed it. The DNS records themselves are not part of this response.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/email_domains/{id}
Authorisation
Minimum role: USER

Request arguments

Name Type Source
idInt32
Request body example

Response

Status
200 (OK)
Type
DTO_email_domain
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_email_domain
NameTypeReadOnlyDescription
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
idInt32ReadOnlyLeave empty on input
domain_nameStringDomain name
statusENUM email_domain_statusReadOnlyStatus
typeENUM email_domain_typeReadOnlyType
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
verifiedDateTime (nullable)ReadOnlyVerified
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
ENUM email_domain_status
ValueNameDescription
0UNKNOWNUNKNOWN
1PENDINGPENDING
2VERIFIEDVERIFIED
ENUM email_domain_type
ValueNameDescription
0CUSTOMCUSTOM
1TENANT_DEFAULTTENANT_DEFAULT

Generated Aug 4, 2026 18:37